<?php

//////////////////////////////////////////////////////////////
//===========================================================
// clone.php
//===========================================================
// SOFTACULOUS 
// Version : 4.2.8
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       10th Jan 2009
// Time:       21:00 hrs
// Site:       http://www.softaculous.com/ (SOFTACULOUS)
// ----------------------------------------------------------
// Please Read the Terms of use at http://www.softaculous.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Inc.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('SOFTACULOUS')){

	die('Hacking Attempt');

}

//The Install process
function __clone(){

global $__settings, $error, $software, $globals, $replace_data, $source_data;
	
	//Do we meet the Minimum software requirements
	__requirements();
	
	if(!empty($error)){
		return false;
	}
	
	$temp = parse_url($source_data['softurl']);
	$source_data['relativeurl'] = $temp['path'];
	
	// database.yml
	sclone_replace($replace_data, $__settings['softpath'].'/local/config/database.yml', true);
	
	//sql
	$__settings['remember_me_serial'] = uniqid();
	$query = "UPDATE `admin` SET `remember_me_serial`='".$__settings['remember_me_serial']."' WHERE `id` = 1;";
	sdb_query($query, $__settings['softdbhost'], $__settings['softdbuser'], $__settings['softdbpass'], $__settings['softdb']);
	
	$__settings['formsecret'] = md5($__settings['softpath'].'/core/lib/Thelia/Form');
	$query = "UPDATE `config` SET `value`='".$__settings['formsecret']."' WHERE `name` = 'form.secret';";
	sdb_query($query, $__settings['softdbhost'], $__settings['softdbuser'], $__settings['softdbpass'], $__settings['softdb']);
	
	//.htaccess
	if(sfile_exists($__settings['softpath'].'/.htaccess')){
	
		// If the installation is on root domain we need to change the below relative URL
		if(is_dom_root($source_data['softpath'])){
			$replace_data['RewriteBase \'/\''] = 'RewriteBase \''.$__settings['relativeurl'].'/\'';
			$replace_data['RewriteBase /'] = 'RewriteBase '.$__settings['relativeurl']. '/';
		}elseif(is_dom_root($__settings['softpath'])){
			$replace_data['RewriteBase \''.$source_data['relativeurl'].'/\''] = 'RewriteBase \'/\'';
			$replace_data['RewriteBase '.$source_data['relativeurl'].'/'] = 'RewriteBase /';
		}
		
		$replace_data['^'.$source_data['relativeurl'].'/$'] = '^'.$__settings['relativeurl'].'/$';
		
		sclone_replace($replace_data, $__settings['softpath'].'/.htaccess', true);		
	}

	if($globals['os'] != 'windows'){
		// Have to remove this files so symlinks can be created
		srm($__settings['softpath'].'/bin/propel');
		srm($__settings['softpath'].'/bin/phpunit');
		srm($__settings['softpath'].'/bin/lessc');

		//php function to prepare symlinks on all platforms
		symlink($__settings['softpath'].'/core/vendor/phpunit/phpunit/phpunit', $__settings['softpath'].'/bin/phpunit');
		symlink($__settings['softpath'].'/core/vendor/propel/propel/bin/propel', $__settings['softpath'].'/bin/propel');
		symlink($__settings['softpath'].'/core/vendor/oyejorge/less.php/bin/lessc', $__settings['softpath'].'/bin/lessc');
	}
	
	//CHMOD some files
	@schmod($__settings['softpath'].'/log/log-thelia.txt', $globals['ofc']);
	@schmod($__settings['softpath'].'/cache/', $globals['odc'], 1);
	@schmod($__settings['softpath'].'/web/', $globals['odc'], 1);
	@schmod($__settings['softpath'].'/local/session/', $globals['odc'], 1);
	@schmod($__settings['softpath'].'/local/media/', $globals['odc'], 1);
}

//Check whether the Minimum Software configuration matches
function __requirements(){

global $__settings, $error, $software;
	
	return true;

}

?>